summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author B. Watson2020-01-26 01:37:13 +0100
committer Willy Sudiarto Raharjo2020-01-26 01:37:13 +0100
commitf82b3ffb7403cac482bba3578027d6420fe41d25 (patch)
tree004d11953517fd5d736a42db08f94bb564dd0f9e /perl
parent3caf128a522f0a2ad83ab3431a07398b562d0aa3 (diff)
downloadslackbuilds-f82b3ffb7403cac482bba3578027d6420fe41d25.tar.gz
perl/perl-audio-sndfile: Added (perl bindings for libsndfile).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-audio-sndfile/README8
-rw-r--r--perl/perl-audio-sndfile/perl-audio-sndfile.SlackBuild80
-rw-r--r--perl/perl-audio-sndfile/perl-audio-sndfile.info10
-rw-r--r--perl/perl-audio-sndfile/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/perl/perl-audio-sndfile/README b/perl/perl-audio-sndfile/README
new file mode 100644
index 0000000000..a00cfdabc1
--- /dev/null
+++ b/perl/perl-audio-sndfile/README
@@ -0,0 +1,8 @@
+perl-audio-sndfile (perl bindings for libsndfile)
+
+Audio::SndFile is a perl interface to the sndfile (soundfile) library. It
+provides a portable API for reading and writing sound files in different
+formats.
+
+See the documentation for a full list of supported file formats. Wav,
+flac, and ogg are supported, but mp3 is not.
diff --git a/perl/perl-audio-sndfile/perl-audio-sndfile.SlackBuild b/perl/perl-audio-sndfile/perl-audio-sndfile.SlackBuild
new file mode 100644
index 0000000000..9189d326c8
--- /dev/null
+++ b/perl/perl-audio-sndfile/perl-audio-sndfile.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for perl-audio-sndfile
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=perl-audio-sndfile
+VERSION=${VERSION:-0.09}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Audio-SndFile
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip $PKG/usr/man/man3/*.3
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-audio-sndfile/perl-audio-sndfile.info b/perl/perl-audio-sndfile/perl-audio-sndfile.info
new file mode 100644
index 0000000000..b5f2d06a0a
--- /dev/null
+++ b/perl/perl-audio-sndfile/perl-audio-sndfile.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-audio-sndfile"
+VERSION="0.09"
+HOMEPAGE="https://metacpan.org/pod/Audio::SndFile"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/J/JD/JDIEPEN/Audio-SndFile-0.09.tar.gz"
+MD5SUM="30b972f0f428e9d9983121b3e192d4bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/perl/perl-audio-sndfile/slack-desc b/perl/perl-audio-sndfile/slack-desc
new file mode 100644
index 0000000000..007679e1dd
--- /dev/null
+++ b/perl/perl-audio-sndfile/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-audio-sndfile: perl-audio-sndfile (perl bindings for libsndfile)
+perl-audio-sndfile:
+perl-audio-sndfile: Audio::SndFile is a perl interface to the sndfile (soundfile)
+perl-audio-sndfile: library. It provides a portable API for reading and writing sound
+perl-audio-sndfile: files in different formats.
+perl-audio-sndfile:
+perl-audio-sndfile: See the documentation for a full list of supported file formats. Wav,
+perl-audio-sndfile: flac, and ogg are supported, but mp3 is not.
+perl-audio-sndfile:
+perl-audio-sndfile:
+perl-audio-sndfile: